=head1 NAME

Gtk2::Statusbar

=cut

=head1 HIERARCHY

  Glib::Object
  +----Glib::InitiallyUnowned
       +----Gtk2::Object
            +----Gtk2::Widget
                 +----Gtk2::Container
                      +----Gtk2::Box
                           +----Gtk2::HBox
                                +----Gtk2::Statusbar



=cut

=head1 INTERFACES

  Gtk2::Orientable
  Glib::Object::_Unregistered::AtkImplementorIface
  Gtk2::Buildable



=cut


=head1 METHODS

=head2 widget = Gtk2::Statusbar-E<gt>B<new> 

=head2 integer = $statusbar-E<gt>B<get_context_id> ($context_description)

=over

=item * $context_description (string) 

=back

=head2 boolean = $statusbar-E<gt>B<get_has_resize_grip> 

=head2 $statusbar-E<gt>B<set_has_resize_grip> ($setting)

=over

=item * $setting (boolean) 

=back

=head2 $statusbar-E<gt>B<pop> ($context_id)

=over

=item * $context_id (integer) 

=back

=head2 integer = $statusbar-E<gt>B<push> ($context_id, $text)

=over

=item * $context_id (integer) 

=item * $text (string) 

=back

=head2 $statusbar-E<gt>B<remove> ($context_id, $message_id)

=over

=item * $context_id (integer) 

=item * $message_id (integer) 

=back



=cut


=head1 PROPERTIES

=over

=item 'has-resize-grip' (boolean : readable / writable / private)

Whether the statusbar has a grip for resizing the toplevel

=back



=cut


=head1 SIGNALS

=over

=item B<text-pushed> (Gtk2::Statusbar, Glib::UInt, string)

=item B<text-popped> (Gtk2::Statusbar, Glib::UInt, string)

=back



=cut


=head1 SEE ALSO

L<Gtk2>, L<Glib::Object>, L<Glib::InitiallyUnowned>, L<Gtk2::Object>, L<Gtk2::Widget>, L<Gtk2::Container>, L<Gtk2::Box>, L<Gtk2::HBox>


=cut


=head1 COPYRIGHT

Copyright (C) 2003-2008 by the gtk2-perl team.

This software is licensed under the LGPL.  See L<Gtk2> for a full notice.



=cut

